Subject: Re: Using ActivePerl 5.8 on a cygwin system
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Mon, 01 Sep 2003 16:14:08 -0700

John Seeliger wrote:
> 
> I have had cygwin installed on this PC for quite some time, but hadn't
> updated it for a while.  I wanted to run yahoo2mbox.pl and found it wouldn't
> work with the perl 5.6.1 I had installed, so I downloaded ActivePerl 5.8.?
> and tried running the script from a Windows XP prompt, but it used the
> cygwin perl.  So, I just copied the ActivePerl over the cygwin perl (yeah, I
> know, not a good idea) and then it still wouldn't work because some of the
> lib files used by it weren't there either.  I copied a few of those as well,
> but still to no avail.
> 
> Have I just hosed my cygwin?  Will downloading the updated perl help?  How
> can I download just perl without going through the installer and selecting
> "keep" on every single other item?

I use perl 5.6.1 with Cygwin and the yahoo2mbox.pl script works just
fine.  You need to have the proper modules installed from CPAN of
course, but this is the case with any perl version on any operating
system.  If you look at the top of the script you'll see:

use Getopt::Long ();
use HTML::Entities ();
use HTML::HeadParser ();
use HTML::TokeParser ();
use HTTP::Request::Common qw(GET POST);
use HTTP::Cookies ();
use LWP::UserAgent ();
use LWP::Simple ();

So these modules must be present in your installation for this script to
work.  If you don't know how to use CPAN you may want to read the
documentation for it, see also <http://www.cpan.org>.  I think you can
get everything you need by installing Bundle::LWP and HTML::Parser.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/